Hooks:PostHook(WeaponFactoryTweakData, "init", "byakurenhijiriyes", function(self)

	if BeardLib.Utils:FindMod("Vanilla Styled Weapon Mods") then

		self.parts.wpn_fps_ass_amcar_body_ddm4.forbids = self.parts.wpn_fps_ass_amcar_body_ddm4.forbids or {}
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_ass_amcar_fg_cylinder")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_ass_amcar_fg_covers_base")
	
		self.parts.wpn_fps_ass_m4_body_tantone.forbids = self.parts.wpn_fps_ass_m4_body_tantone.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_uupg_m4_fg_victorcar")  		

		self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids = self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids or {}
		table.insert(self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids, "wpn_fps_smg_shepheard_fg_suppressed") 
		table.insert(self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids, "wpn_fps_smg_shepheard_body_long") 

		self.parts.wpn_fps_smg_shepheard_body_ar45.forbids = self.parts.wpn_fps_smg_shepheard_body_ar45.forbids or {}
		table.insert(self.parts.wpn_fps_smg_shepheard_body_ar45.forbids, "wpn_fps_smg_shepheard_fg_suppressed") 
		table.insert(self.parts.wpn_fps_smg_shepheard_body_ar45.forbids, "wpn_fps_smg_shepheard_body_long") 
		
		self.parts.wpn_fps_ass_m16_body_mcbravo.forbids = self.parts.wpn_fps_ass_m16_body_mcbravo.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_ass_m16_fg_smooth")  		
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_ass_m16_s_op")  	

		self.parts.wpn_fps_ass_ak_body_creedmoor.forbids = self.parts.wpn_fps_ass_ak_body_creedmoor.forbids or {}
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_upg_ak_m_slick") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_upg_ak_m_tiny") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_ass_ak_m_proto") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_ass_ak_fg_waffle") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_s_empty") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_s_polymerstock") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_ass_74_upper_receiver_bump") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_sho_saiga_upper_receiver_smooth") 

		self.parts.wpn_fps_ass_scar_body_hamr.forbids = self.parts.wpn_fps_ass_scar_body_hamr.forbids or {}
		table.insert(self.parts.wpn_fps_ass_scar_body_hamr.forbids, "wpn_fps_ass_scar_m_extended") 

	else
		-- vanilla mod pack not installed
	end


	if self.parts.wpn_fps_smg_shepheard_g_ergo then

		self.parts.wpn_fps_smg_shepheard_body_ar45.override = self.parts.wpn_fps_smg_shepheard_body_ar45.override or {}
		self.parts.wpn_fps_smg_shepheard_body_ar45.override.wpn_fps_smg_shepheard_g_ergo = {
			unit = "units/payday2/weapons/wpn_fps_smg_mp9_pts/wpn_fps_smg_mp9_b_dummy",
			third_unit = "units/payday2/weapons/wpn_fps_smg_mp9_pts/wpn_fps_smg_mp9_b_dummy",
			adds = { "wpn_fps_snp_tti_vg_standard", "wpn_fps_upg_m4_g_ergo" }
		}
		
		self.parts.wpn_fps_smg_x_shepheard_body_ar45.override = self.parts.wpn_fps_smg_x_shepheard_body_ar45.override or {}
		self.parts.wpn_fps_smg_x_shepheard_body_ar45.override.wpn_fps_smg_shepheard_g_ergo = {
			unit = "units/payday2/weapons/wpn_fps_smg_mp9_pts/wpn_fps_smg_mp9_b_dummy",
			third_unit = "units/payday2/weapons/wpn_fps_smg_mp9_pts/wpn_fps_smg_mp9_b_dummy",
			adds = { "wpn_fps_snp_tti_vg_standard", "wpn_fps_upg_m4_g_ergo" }
		}
		
	end

	if self.parts.wpn_fps_upg_fl_ass_smg_sho_pointshoot then

		self.parts.wpn_fps_ass_ak_body_creedmoor.override = self.parts.wpn_fps_ass_ak_body_creedmoor.override or {}
		self.parts.wpn_fps_ass_ak_body_creedmoor.override.wpn_fps_upg_fl_ass_smg_sho_pointshoot = {
			stance_mod = {
				wpn_fps_ass_74 = {
					translation = Vector3(-4, -20, -13),
					rotation = Rotation(0, 0, -35)
				}
			}
		}
	end

	if BeardLib.Utils:FindMod("Vanilla Styled Weapon Mods Legacy") then
	
		self.parts.wpn_fps_ass_amcar_body_ddm4.forbids = self.parts.wpn_fps_ass_amcar_body_ddm4.forbids or {}
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_m4_g_wrap")

		self.parts.wpn_fps_ass_m4_body_tantone.forbids = self.parts.wpn_fps_ass_m4_body_tantone.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_m4_g_wrap")
	
	else
		-- vanilla mod pack legacy not installed
	end

	if SystemFS:exists("assets/mod_overrides/old g3 animation") then

		self.parts.wpn_fps_ass_g3_body_hk33.override = self.parts.wpn_fps_ass_g3_body_hk33.override or {}
		self.parts.wpn_fps_ass_g3_body_hk33.override.wpn_fps_ass_g3_m_mag = {
			unit = "units/mods/weapons/wpn_fps_ass_g3_hk33/wpn_fps_ass_g3_m_hk33_old",
			third_unit="units/mods/weapons/wpn_third_ass_g3_hk33/wpn_third_ass_g3_m_hk33",
		}
		self.parts.wpn_fps_ass_g3_body_hk33.override.wpn_fps_ass_g3_fg_bipod = {
			unit = "units/mods/weapons/wpn_fps_ass_g3_hk33/wpn_fps_ass_g3_fg_hk33_old",
			third_unit = "units/mods/weapons/wpn_third_ass_g3_hk33/wpn_third_ass_g3_fg_hk33",
			parent = "exclusive_set",
			a_obj = "a_fg_hk33"
		}

	end

	if SystemFS:exists("assets/mod_overrides/MPX (Signature SMG) Skin Pack/Hooks/mpx-tweak.lua") then
	
		self.parts.wpn_fps_smg_shepheard_body_ar45.stats = {
			total_ammo_mod = -5,
			damage = 35,
			spread = 2,
			reload = -5,
			recoil = -3,
			concealment = -2
		}
		self.parts.wpn_fps_smg_shepheard_body_ar45.custom_stats = {
			fire_rate_multiplier = 0.85058823529,
			ammo_pickup_min_mul = 0.35,
			ammo_pickup_max_mul = 0.52428571428,
			ammo_offset = 10
		}

	end

	if BeardLib.Utils:FindMod("AR AK Mods") then

	self.parts.wpn_fps_ass_amcar_body_ddm4.forbids = self.parts.wpn_fps_ass_amcar_body_ddm4.forbids or {}
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_ass_amcar_fg_mp5a5")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_amcar_b_medium")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_ass_amcar_gasblock")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_amcar_i_resmod")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_ass_tecci_m_jungle_m4")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m4_s_hera_paint")

	self.parts.wpn_fps_ass_m4_body_tantone.forbids = self.parts.wpn_fps_ass_m4_body_tantone.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_ass_amcar_fg_mp5a5")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_amcar_b_medium")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_ass_amcar_gasblock")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_amcar_i_resmod")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_ass_tecci_m_jungle_m4")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m4_s_hera_paint")

	self.parts.wpn_fps_ass_ak_body_creedmoor.forbids = self.parts.wpn_fps_ass_ak_body_creedmoor.forbids or {}
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_s_asval") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m4_s_contender_normal") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_upg_ak_s_folded") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_ass_hera_s_russian") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_m_nato") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_ass_hera_s_russian") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_m_bakeband") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_m_double") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_upg_ak_fg_saiga_ultimak") 		
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_ak_fg_galil") 

	else
		-- AR/AK mods not installed
	end

	if self.parts.wpn_fps_upg_m4_i_resmod then

		self.parts.wpn_fps_ass_m4_body_tantone.forbids = self.parts.wpn_fps_ass_m4_body_tantone.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m4_i_resmod")
			
	end

	if self.parts.wpn_fps_upg_m_dura and not BeardLib.Utils:FindMod("RestorationMod") then	-- fuck

		self.parts.wpn_fps_ass_amcar_body_ddm4.forbids = self.parts.wpn_fps_ass_amcar_body_ddm4.forbids or {}
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_dura")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_d60")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_p10")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_p20")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_p30")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_p30w")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_p40")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_battle")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_poly")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_hksteel")
		table.insert(self.parts.wpn_fps_ass_amcar_body_ddm4.forbids, "wpn_fps_upg_m_gen2")
	
		self.parts.wpn_fps_ass_m4_body_tantone.forbids = self.parts.wpn_fps_ass_m4_body_tantone.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_dura")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_d60")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_p10")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_p20")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_p30")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_p30w")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_p40")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_battle")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_poly")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_hksteel")
		table.insert(self.parts.wpn_fps_ass_m4_body_tantone.forbids, "wpn_fps_upg_m_gen2")	

		self.parts.wpn_fps_ass_m16_body_mcbravo.forbids = self.parts.wpn_fps_ass_m16_body_mcbravo.forbids or {}
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_dura")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_d60")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_p10")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_p20")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_p30")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_p30w")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_p40")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_battle")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_poly")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_hksteel")
		table.insert(self.parts.wpn_fps_ass_m16_body_mcbravo.forbids, "wpn_fps_upg_m_gen2")	

		self.parts.wpn_fps_smg_shepheard_body_ar45.forbids = self.parts.wpn_fps_smg_shepheard_body_ar45.forbids or {}
		table.insert(self.parts.wpn_fps_smg_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpx20") 
		table.insert(self.parts.wpn_fps_smg_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpx30") 
		table.insert(self.parts.wpn_fps_smg_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpxdrum") 
		table.insert(self.parts.wpn_fps_smg_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpxtti") 

		self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids = self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids or {}
		table.insert(self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpx20") 
		table.insert(self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpx30") 
		table.insert(self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpxdrum") 
		table.insert(self.parts.wpn_fps_smg_x_shepheard_body_ar45.forbids, "wpn_fps_upg_m_mpxtti") 

		self.parts.wpn_fps_ass_ak_body_creedmoor.forbids = self.parts.wpn_fps_ass_ak_body_creedmoor.forbids or {}
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m_plum") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m_10rs") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m_45r") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m_rpk45") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m_545pmag") 
		table.insert(self.parts.wpn_fps_ass_ak_body_creedmoor.forbids, "wpn_fps_upg_m_rpkd") 
	
	end
	
		-- Start of actual stuff

    self.parts.wpn_fps_ass_amcar_body_ddm4.override = self.parts.wpn_fps_ass_amcar_body_ddm4.override or {}
    local wpn_fps_ass_amcar_body_ddm4_parts_to_override = {
        "wpn_fps_upg_ns_ass_smg_large",
        "wpn_fps_upg_ns_ass_smg_medium",
        "wpn_fps_upg_ns_ass_smg_small",
        "wpn_fps_upg_ns_ass_smg_firepig",
        "wpn_fps_upg_ns_ass_smg_stubby",
        "wpn_fps_upg_ns_ass_smg_tank",
        "wpn_fps_upg_ass_ns_jprifles",
        "wpn_fps_upg_ass_ns_linear",
        "wpn_fps_upg_ass_ns_surefire",
        "wpn_fps_upg_ass_ns_battle",
        "wpn_fps_upg_ns_ass_pbs1",
        "wpn_fps_upg_ns_ass_smg_v6",
        "wpn_fps_lmg_hk51b_ns_jcomp",
        "wpn_fps_upg_ak_ns_jmac",
        "wpn_fps_upg_ak_ns_tgp",
        "wpn_fps_lmg_kacchainsaw_ns_suppressor",
        "wpn_fps_lmg_kacchainsaw_ns_muzzle"
    }
    for _, part_id in pairs(wpn_fps_ass_amcar_body_ddm4_parts_to_override) do
        if self.parts[part_id] then
            self.parts.wpn_fps_ass_amcar_body_ddm4.override[part_id] = {
                forbids = {
                    "wpn_fps_smg_shepheard_ns_standard"
                }
            }
        end
    end

    self.parts.wpn_fps_ass_ak_body_creedmoor.override = self.parts.wpn_fps_ass_ak_body_creedmoor.override or {}
    local wpn_fps_ass_ak_body_creedmoor_parts_to_override = {
        "wpn_fps_upg_ns_ass_smg_large",
        "wpn_fps_upg_ns_ass_smg_medium",
        "wpn_fps_upg_ns_ass_smg_small",
        "wpn_fps_upg_ns_ass_smg_firepig",
        "wpn_fps_upg_ns_ass_smg_stubby",
        "wpn_fps_upg_ns_ass_smg_tank",
        "wpn_fps_upg_ass_ns_jprifles",
        "wpn_fps_upg_ass_ns_linear",
        "wpn_fps_upg_ass_ns_surefire",
        "wpn_fps_upg_ass_ns_battle",
        "wpn_fps_upg_ns_ass_pbs1",
        "wpn_fps_upg_ns_ass_smg_v6",
        "wpn_fps_lmg_hk51b_ns_jcomp",
        "wpn_fps_upg_ak_ns_jmac",
        "wpn_fps_upg_ak_ns_tgp",
        "wpn_fps_lmg_kacchainsaw_ns_suppressor",
        "wpn_fps_lmg_kacchainsaw_ns_muzzle"
    }
    for _, part_id in pairs(wpn_fps_ass_ak_body_creedmoor_parts_to_override) do
        if self.parts[part_id] then
            self.parts.wpn_fps_ass_ak_body_creedmoor.override[part_id] = {
                forbids = {
                    "wpn_fps_smg_vityaz_ns_standard"
                }
            }
        end
    end

   self.parts.wpn_fps_ass_m4_body_tantone.override = self.parts.wpn_fps_ass_m4_body_tantone.override or {}
    local wpn_fps_ass_m4_body_tantone_parts_to_override = {
        "wpn_fps_upg_ns_ass_smg_large",
        "wpn_fps_upg_ns_ass_smg_medium",
        "wpn_fps_upg_ns_ass_smg_small",
        "wpn_fps_upg_ns_ass_smg_firepig",
        "wpn_fps_upg_ns_ass_smg_stubby",
        "wpn_fps_upg_ns_ass_smg_tank",
        "wpn_fps_upg_ass_ns_jprifles",
        "wpn_fps_upg_ass_ns_linear",
        "wpn_fps_upg_ass_ns_surefire",
        "wpn_fps_upg_ass_ns_battle",
        "wpn_fps_upg_ns_ass_pbs1",
        "wpn_fps_upg_ns_ass_smg_v6",
        "wpn_fps_lmg_hk51b_ns_jcomp",
        "wpn_fps_upg_ak_ns_jmac",
        "wpn_fps_upg_ak_ns_tgp",
        "wpn_fps_lmg_kacchainsaw_ns_suppressor",
        "wpn_fps_lmg_kacchainsaw_ns_muzzle"
    }
    for _, part_id in pairs(wpn_fps_ass_m4_body_tantone_parts_to_override) do
        if self.parts[part_id] then
            self.parts.wpn_fps_ass_m4_body_tantone.override[part_id] = {
                forbids = {
                    "wpn_fps_ass_m4_ns_tantone"
                }
            }
        end
    end

   self.parts.wpn_fps_smg_olympic_body_hk416c.override = self.parts.wpn_fps_smg_olympic_body_hk416c.override or {}
    local wpn_fps_smg_olympic_body_hk416c_parts_to_override = {
        "wpn_fps_upg_ns_ass_smg_large",
        "wpn_fps_upg_ns_ass_smg_medium",
        "wpn_fps_upg_ns_ass_smg_small",
        "wpn_fps_upg_ns_ass_smg_firepig",
        "wpn_fps_upg_ns_ass_smg_stubby",
        "wpn_fps_upg_ns_ass_smg_tank",
        "wpn_fps_upg_ass_ns_jprifles",
        "wpn_fps_upg_ass_ns_linear",
        "wpn_fps_upg_ass_ns_surefire",
        "wpn_fps_upg_ass_ns_battle",
        "wpn_fps_upg_ns_ass_pbs1",
        "wpn_fps_upg_ns_ass_smg_v6",
        "wpn_fps_lmg_hk51b_ns_jcomp",
        "wpn_fps_upg_ak_ns_jmac",
        "wpn_fps_upg_ak_ns_tgp",
        "wpn_fps_lmg_kacchainsaw_ns_suppressor",
        "wpn_fps_lmg_kacchainsaw_ns_muzzle"
    }
    for _, part_id in pairs(wpn_fps_smg_olympic_body_hk416c_parts_to_override) do
        if self.parts[part_id] then
            self.parts.wpn_fps_smg_olympic_body_hk416c.override[part_id] = {
                forbids = {
                    "wpn_fps_ass_tecci_ns_standard"
                }
            }
        end
    end

	self.parts.wpn_fps_ass_tecci_gasblock = deep_clone(self.parts.wpn_fps_m4_uupg_fg_rail_ext)
	self.parts.wpn_fps_ass_tecci_gasblock.unit = "units/pd2_dlc_opera/weapons/wpn_fps_ass_tecci_pts/wpn_fps_ass_tecci_b_standard"
	self.parts.wpn_fps_ass_tecci_gasblock.third_unit = "units/pd2_dlc_opera/weapons/wpn_fps_ass_tecci_pts/wpn_third_ass_tecci_b_standard"
	self.parts.wpn_fps_ass_tecci_gasblock.visibility = {
		{
			objects = {
				g_barrel = false,
			}
		}
	}

	self.parts.wpn_fps_ass_m4_hk416_upper_reciever.visibility = {
		{
			objects = {
				g_bolt = false,
			}
		}
	}

	self.parts.wpn_fps_ass_scar_body_hamr_o_lmg.visibility = {
		{
			objects = {
				g_ironsight = false,
			}
		}
	}

    self.wpn_fps_smg_x_olympic.override = self.wpn_fps_smg_x_olympic.override or {}	
	self.wpn_fps_smg_x_olympic.override.wpn_fps_smg_olympic_body_hk416c = {
		stats = {
			damage = 25,
			recoil = -5,
			spread = -3,
			concealment = 1,
			total_ammo_mod = -8
		}
	}
    self.wpn_fps_smg_x_mac10.override = self.wpn_fps_smg_x_mac10.override or {}	
	self.wpn_fps_smg_x_mac10.override.wpn_fps_smg_mac10_body_m4_v2 = {
		stats = {
			damage = 44,
			recoil = -4,
			concealment = -3,
			total_ammo_mod = -4
		},
		custom_stats = {
			ammo_pickup_min_mul = 0.75,
			ammo_pickup_max_mul = 0.75
		}
	}	

    self.wpn_fps_x_1911.override = self.wpn_fps_x_1911.override or {}	
	self.wpn_fps_x_1911.override.wpn_fps_pis_1911_body_sporty = {
		stats = {
			reload = 2,
			recoil = -5,
			spread = 3,
			concealment = -2,
			zoom = 0
		},
		custom_stats = {
			fire_rate_multiplier = 1.5
		}
	}	
		
	
end)